summaryrefslogtreecommitdiff
path: root/.travis
diff options
context:
space:
mode:
authorDonald Stufft <donald@stufft.io>2014-11-20 00:15:07 -0500
committerDonald Stufft <donald@stufft.io>2014-11-20 07:53:57 -0500
commit4a775c10dd828ac77478fe082dd68a5dad899c3a (patch)
tree75e0b787c307d150a9c3bafe0a53f50c4c00182e /.travis
parent79fbaf66a15f3c988174d67df3dbbf5bacabb109 (diff)
downloadpip-4a775c10dd828ac77478fe082dd68a5dad899c3a.tar.gz
Test unvendoring on Travis
Diffstat (limited to '.travis')
-rwxr-xr-x.travis/run.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/.travis/run.sh b/.travis/run.sh
index e4585f01e..759efcdbd 100755
--- a/.travis/run.sh
+++ b/.travis/run.sh
@@ -6,6 +6,23 @@ set -x
# our tests use.
export LC_CTYPE=en_US.UTF-8
+# We want to create the virtual environment here, but not actually run anything
+tox --notest
+
+# If we have a VENDOR=no then we want to reinstall pip into the virtual
+# environment without the vendor directory included as well as install the
+# dependencies we need installed.
+if [[ $VENDOR = "no" ]]; then
+ .tox/$TOXENV/bin/pip install -r pip/_vendor/vendor.txt
+ PIP_NO_VENDOR_FOR_DOWNSTREAM=1 .tox/$TOXENV/bin/pip install .
+
+ # Test to make sure that we successfully installed without vendoring
+ if [ -f .tox/$TOXENV/lib/python*/site-packages/pip/_vendor/six.py ]; then
+ echo "Did not successfully unvendor"
+ exit 1
+ fi
+fi
+
# Run the unit tests
tox -- -m unit --cov pip/ --cov-report xml